const defaultTheme = require('tailwindcss/defaultTheme');

module.exports = {
  content: [
    './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
    './vendor/laravel/jetstream/**/*.blade.php',
    './storage/framework/views/*.php',
    './resources/views/**/*.blade.php',
    './resources/js/**/*.vue',
  ],

  darkMode: 'class',

  theme: {
    colors: {
      // use https://uicolors.app/create
      // neutals
      'nomad': {
        50: '#fbfbf8',
        100: '#f6f6f3',
        200: '#e9e5e2',
        300: '#dad3cd',
        400: '#b5a89c',
        500: '#827262',
        600: '#5e5647',
        700: '#4b4235',
        800: '#2d2420',
        900: '#201913',
      },

      // reds
      'mulberry': {
        50: '#fbf4f9',
        100: '#f9eaf4',
        200: '#f5d5ea',
        300: '#eeb3d8',
        400: '#e284bd',
        500: '#d55fa3',
        600: '#c54b8c',
        700: '#a72f6c',
        800: '#8a2a59',
        900: '#74274d',
      },

      // oranges
      'vesuvius': {
        50: '#fffbeb',
        100: '#fef3c7',
        200: '#fde58a',
        300: '#fbd24e',
        400: '#fabe25',
        500: '#f49d0c',
        600: '#d87607',
        700: '#bc560a',
        800: '#923f0e',
        900: '#78340f',
      },

      // yellows


      // greens
      'bright-green': {
        50: '#efffe6',
        100: '#daffc8',
        200: '#b7fe98',
        300: '#88fa5c',
        400: '#5ff02a',
        500: '#3fd60c',
        600: '#2bac04',
        700: '#238209',
        800: '#20670d',
        900: '#1d5710',
      },

      'spring-green': {
        50: '#effef6',
        100: '#d9ffee',
        200: '#b5fddd',
        300: '#7bfac4',
        400: '#3aeea2',
        500: '#12e78d',
        600: '#07b26a',
        700: '#0a8b55',
        800: '#0e6d46',
        900: '#0d5a3c',
      },

      'forest-green': {
        50: '#f1fdf0',
        100: '#ddfcdc',
        200: '#bff6bc',
        300: '#8aee87',
        400: '#50dc4c',
        500: '#24b321',
        600: '#1ba118',
        700: '#187f16',
        800: '#186417',
        900: '#155215',
      },

      'mountain-meadow': {
        50: '#ecfdf3',
        100: '#d1fae1',
        200: '#a7f3c9',
        300: '#6ee7ac',
        400: '#34d38b',
        500: '#0fa968',
        600: '#05965c',
        700: '#04784c',
        800: '#065f3e',
        900: '#064e34',
      },

      'eucalyptus': {
        50: '#f1fcf5',
        100: '#dff9ea',
        200: '#c0f2d5',
        300: '#8fe6b5',
        400: '#57d18c',
        500: '#30b76b',
        600: '#239654',
        700: '#22844d',
        800: '#1d5e3a',
        900: '#1a4d31',
      },

      // teals
      'aquamarine': {
        50: '#eafff7',
        100: '#cdfeea',
        200: '#a1fadb',
        300: '#63f2c9',
        400: '#25e2b2',
        500: '#01c89c',
        600: '#00a380',
        700: '#00836b',
        800: '#006756',
        900: '#005548',
      },

      'bermuda': {
        50: '#f2fbf9',
        100: '#d2f5f0',
        200: '#a5eae1',
        300: '#7bdbd1',
        400: '#42bfb6',
        500: '#29a39c',
        600: '#1e837f',
        700: '#1c6967',
        800: '#1b5453',
        900: '#1b4645',
      },

      'tiber': {
        50: '#edfffc',
        100: '#c2fff8',
        200: '#86fff4',
        300: '#42ffed',
        400: '#0bf6e0',
        500: '#00d9c7',
        600: '#00afa5',
        700: '#008b85',
        800: '#016e6b',
        900: '#05403e',
      },

      'wedgewood': {
        50: '#f2f9f9',
        100: '#ddeff0',
        200: '#bfe0e2',
        300: '#92cace',
        400: '#5faab1',
        500: '#438e96',
        600: '#3b757f',
        700: '#356169',
        800: '#325158',
        900: '#2d464c',
      },


      // blues
      'fun-blue': {
        50: '#f2f7fd',
        100: '#e4edfa',
        200: '#c3d9f4',
        300: '#8dbaec',
        400: '#5197df',
        500: '#2a7acd',
        600: '#1b5daa',
        700: '#174c8d',
        800: '#174175',
        900: '#193961',
      },

      // purples
      'electric-violet': {
        50: '#f3f1ff',
        100: '#ebe5ff',
        200: '#d9ceff',
        300: '#bea6ff',
        400: '#9f75ff',
        500: '#843dff',
        600: '#7916ff',
        700: '#6b04fd',
        800: '#5a03d5',
        900: '#4b05ad',
      },


      // pinks

    },

    fontFamily: {
      sans: ['Nunito', ...defaultTheme.fontFamily.sans],
      serif: ['Nunito', ...defaultTheme.fontFamily.serif],
      mono: ['Nunito', ...defaultTheme.fontFamily.mono],
      display: ['Nunito', ...defaultTheme.fontFamily.display],
      body: ['"Font Name"', ...defaultTheme.fontFamily.body],
    },

    extend: {},
  },

  plugins: [
    require('@tailwindcss/forms'),
    require('@tailwindcss/typography'),
    //require('tailwindcss-neumorphism'),
  ],
}
